package symantec.itools.awt;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Label;
import java.awt.LayoutManager;

public class StatusBar extends BorderPanel {
   protected Label text;
   protected Color textColor;

   public StatusBar() {
      super.setLayout(new BorderLayout());
      ((BorderPanel)this).add("Center", this.text = new Label());
   }

   public void setStatusText(String var1) {
      this.text.setText(var1);
      ((Component)this).invalidate();
   }

   public String getStatusText() {
      return this.text.getText();
   }

   public void setStatusTextColor(Color var1) {
      this.textColor = var1;
      this.text.setForeground(var1);
      ((Component)this).invalidate();
   }

   public Color getStatusTextColor() {
      return this.textColor;
   }

   public void setLayout(LayoutManager var1) {
   }

   public void clear() {
      this.setStatusText("");
   }
}
