package symantec.itools.awt;

import java.awt.Color;
import java.awt.Graphics;

abstract class VerticalSliderThumb {
   // $FF: renamed from: x int
   protected int field_0;
   // $FF: renamed from: y int
   protected int field_1;
   protected int width;
   protected int height;
   // $FF: renamed from: g java.awt.Graphics
   protected Graphics field_2;
   // $FF: renamed from: t symantec.itools.awt.VerticalSliderTick
   protected VerticalSliderTick field_3;

   void resize(int var1, int var2) {
      this.field_0 = (this.width = var1) - 4 - 1 - 1;
      this.field_1 = (this.height = var2) / 2;
   }

   abstract void draw(Graphics var1, VerticalSliderTick var2);

   protected void draw(int var1, int var2, int var3, int var4) {
      this.field_2.drawLine(this.field_3.x0 + var1 + 4 + 1, this.field_3.y + var2, this.field_3.x0 + var3 + 4 + 1, this.field_3.y + var4);
   }

   protected void initDraw(Graphics var1, VerticalSliderTick var2) {
      this.field_2 = var1;
      this.field_3 = var2;
      var1.setColor(Color.lightGray);
      var1.fillRect(var2.x0 + 2 + 4 + 1, var2.y - this.field_1 + 1, this.field_0 - 2, this.height - 2);
      var1.setColor(Color.white);
   }

   void clip(Graphics var1, VerticalSliderTick var2) {
      var1.clipRect(var2.x0, var2.y - this.height / 2, this.width + 1, this.height + 1);
   }
}
