package symantec.itools.demo;

import java.awt.Event;
import java.awt.Frame;
import java.awt.Menu;
import java.awt.MenuBar;
import java.awt.MenuItem;

class DemoFrame extends Frame {
   Demo demo;

   public DemoFrame(Demo var1) {
      this(var1, "Demo");
   }

   public DemoFrame(Demo var1, String var2) {
      super(var2);
      this.demo = var1;
      MenuBar var3 = new MenuBar();
      Menu var4 = new Menu("File");
      var4.add(new MenuItem("Restart"));
      var4.add(new MenuItem("Exit"));
      var3.add(var4);
      var4 = new Menu("Help");
      var4.add(new MenuItem("Help"));
      var4.addSeparator();
      var4.add(new MenuItem("About " + this.demo.getClass().getName() + "..."));
      var3.add(var4);
      ((Frame)this).setMenuBar(var3);
   }

   public boolean handleEvent(Event var1) {
      switch (var1.id) {
         case 201:
            this.demo.doExit();
            return true;
         case 1001:
            if (var1.target instanceof MenuItem) {
               String var2 = (String)var1.arg;
               if (var2.equals("Restart")) {
                  this.demo.doRestart();
                  return true;
               } else if (var2.equals("Exit")) {
                  this.demo.doExit();
                  return true;
               } else if (var2.equals("Help")) {
                  this.demo.doHelp();
                  return true;
               } else if (var2.startsWith("About") && var2.endsWith("...")) {
                  this.demo.doAbout();
                  return true;
               }
            }
         default:
            return this.demo.handleEvent(var1);
      }
   }
}
