package symantec.itools.awt;

import java.util.Enumeration;
import java.util.Vector;

public class ListSpinner extends Spinner {
   protected Vector list = new Vector();

   public void addNotify() {
      if (this.list.size() > 0) {
         for(Enumeration var1 = this.list.elements(); var1.hasMoreElements(); super.textWidth = Math.max(super.textWidth, ((String)var1.nextElement()).length())) {
         }

         super.text = (String)this.list.elementAt(super.current);
         ((Spinner)this).setMax(this.list.size() - 1);
      }

      super.addNotify();
   }

   public void addItem(String var1) {
      this.list.addElement(var1);
      super.textWidth = Math.max(super.textWidth, var1.length());
      ((Spinner)this).setMax(this.list.size() - 1);
   }

   public String getCurrentText() {
      return this.list.size() > 0 ? (String)this.list.elementAt(super.current) : null;
   }

   public void setListItems(String[] var1) {
      for(int var2 = 0; var2 < var1.length; ++var2) {
         this.addItem(var1[var2]);
      }

      ((Spinner)this).updateText();
   }

   public String[] getListItems() {
      int var1 = this.list.size();
      String[] var2 = new String[var1];

      for(int var3 = 0; var3 < var1; ++var3) {
         var2[var3] = (String)this.list.elementAt(var3);
      }

      return var2;
   }
}
