package symantec.itools.awt.shape;

import java.awt.Color;
import java.awt.Graphics;

public class Ellipse extends Shape {
   public void paint(Graphics var1) {
      var1.clipRect(0, 0, super.width, super.height);
      int var2 = super.width - 1;
      int var3 = super.height - 1;
      if (super.fill) {
         var1.setColor(super.fillColor);
         var1.fillOval(0, 0, var2, var3);
      } else {
         switch (super.style) {
            case 0:
               var1.setColor(Color.gray);
               var1.drawArc(0, 0, var2, var3, 45, 180);
               var1.setColor(Color.white);
               var1.drawArc(0, 0, var2, var3, 225, 180);
               return;
            case 1:
               var1.setColor(Color.white);
               var1.drawArc(0, 0, var2, var3, 45, 180);
               var1.setColor(Color.gray);
               var1.drawArc(0, 0, var2, var3, 225, 180);
               return;
            case 2:
            default:
               var1.drawOval(0, 0, var2, var3);
         }
      }
   }
}
