package symantec.itools.awt.shape;

import java.awt.Color;
import java.awt.Graphics;

public class Rect extends Shape {
   public void paint(Graphics var1) {
      var1.clipRect(0, 0, super.width, super.height);
      int var2 = super.width - 1;
      int var3 = super.height - 1;
      switch (super.style) {
         case 0:
            var1.setColor(Color.gray);
            var1.drawLine(0, var3, 0, 0);
            var1.drawLine(0, 0, var2, 0);
            var1.setColor(Color.white);
            var1.drawLine(var2, 0, var2, var3);
            var1.drawLine(var2, var3, 0, var3);
            if (super.fill) {
               var1.setColor(super.fillColor);
               var1.fillRect(1, 1, var2 - 1, var3 - 1);
               return;
            }
            break;
         case 1:
            var1.setColor(Color.white);
            var1.drawLine(0, var3, 0, 0);
            var1.drawLine(0, 0, var2, 0);
            var1.setColor(Color.gray);
            var1.drawLine(var2, 0, var2, var3);
            var1.drawLine(var2, var3, 0, var3);
            if (super.fill) {
               var1.setColor(super.fillColor);
               var1.fillRect(1, 1, var2 - 1, var3 - 1);
            }
            break;
         case 2:
         default:
            if (super.fill) {
               var1.setColor(super.fillColor);
               var1.fillRect(0, 0, var2, var3);
               return;
            }

            var1.drawRect(0, 0, var2, var3);
            return;
      }

   }
}
