package symantec.itools.awt.util.dialog;

import java.awt.Button;
import java.awt.Component;
import java.awt.Dialog;
import java.awt.Event;
import java.awt.Frame;
import java.awt.Rectangle;
import java.awt.Window;

public class DialogBox extends Dialog {
   protected Button okButton;

   public DialogBox(Frame var1) {
      this(var1, false);
   }

   public DialogBox(Frame var1, boolean var2) {
      this(var1, "", var2);
   }

   public DialogBox(Frame var1, String var2, boolean var3) {
      super(var1, var2, var3);
      ((Dialog)this).setResizable(false);
   }

   public synchronized void show() {
      Rectangle var1 = ((Component)this).getParent().bounds();
      Rectangle var2 = ((Component)this).bounds();
      ((Component)this).move(var1.x + (var1.width - var2.width) / 2, var1.y + (var1.height - var2.height) / 2);
      super.show();
   }

   protected void closeDialog() {
      ((Component)this).hide();
      ((Window)this).dispose();
   }

   public boolean handleEvent(Event var1) {
      if (var1.target == this.okButton && var1.id == 1001 || var1.target == this && var1.id == 201) {
         this.closeDialog();
      }

      return super.handleEvent(var1);
   }
}
