package symantec.tools.dmi;

public class MethodInvoker {
   private byte[] args = new byte[1024];
   private int pos = 0;
   private static final int MAX_ARG_LEN = 1024;

   public void ArgReset() {
      this.pos = 0;
   }

   public native Object CallByName(Object var1, String var2) throws Exception;

   public native Object CallByName2(Object var1, String var2, String var3) throws Exception;

   public native void AddArgBoolean(boolean var1) throws IllegalArgumentLengthException;

   public native void AddArgChar(char var1) throws IllegalArgumentLengthException;

   public native void AddArgInt(int var1) throws IllegalArgumentLengthException;

   public native void AddArgLong(long var1) throws IllegalArgumentLengthException;

   public native void AddArgFloat(float var1) throws IllegalArgumentLengthException;

   public native void AddArgDouble(double var1) throws IllegalArgumentLengthException;

   public native void AddArgObject(Object var1) throws IllegalArgumentLengthException;

   public void AddArg(boolean var1) throws IllegalArgumentLengthException {
      this.AddArgBoolean(var1);
   }

   public void AddArg(char var1) throws IllegalArgumentLengthException {
      this.AddArgChar(var1);
   }

   public void AddArg(int var1) throws IllegalArgumentLengthException {
      this.AddArgInt(var1);
   }

   public void AddArg(long var1) throws IllegalArgumentLengthException {
      this.AddArgLong(var1);
   }

   public void AddArg(float var1) throws IllegalArgumentLengthException {
      this.AddArgFloat(var1);
   }

   public void AddArg(double var1) throws IllegalArgumentLengthException {
      this.AddArgDouble(var1);
   }

   public void AddArg(Object var1) throws IllegalArgumentLengthException {
      this.AddArgObject(var1);
   }

   static {
      System.loadLibrary("vedmi");
   }
}
