package symantec.itools.awt;

import java.awt.Color;
import java.awt.FontMetrics;
import java.awt.LayoutManager;
import java.awt.Panel;

public class InfoTipManager {
   private static Panel infoTipPanel;

   public static Panel getInfoTipPanel() {
      if (infoTipPanel == null) {
         infoTipPanel = new Panel();
         infoTipPanel.hide();
         infoTipPanel.setLayout((LayoutManager)null);
      }

      return infoTipPanel;
   }

   public static void draw(int var0, int var1, String var2, FontMetrics var3, Color var4, Color var5) {
      infoTipPanel.reshape(var0, var1, var3.stringWidth(var2), var3.getHeight());
      infoTipPanel.setBackground(var4);
      infoTipPanel.setForeground(var5);
      infoTipPanel.show();
   }
}
