package symantec.itools.awt.util;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.LayoutManager;
import symantec.itools.awt.BorderPanel;

public class ToolBarPanel extends BorderPanel {
   public ToolBarPanel() {
      super.setLayout(new FlowLayout(0, 0, 0));
      ((BorderPanel)this).setBevelStyle(1);
   }

   public void setLayout(LayoutManager var1) {
   }

   public synchronized Dimension preferredSize() {
      Dimension var1 = new Dimension(0, 20);
      Component[] var2 = ((Container)this).getComponents();

      for(int var3 = 0; var3 < var2.length; ++var3) {
         Dimension var4 = var2[var3].size();
         var1.width += var4.width;
         var1.height = Math.max(var1.height, var4.height);
      }

      if (var1.width == 0) {
         var1.width = 50;
      }

      var1.width += super.padleft + super.padright + super.ixPad * 2;
      var1.height += ((BorderPanel)this).getLabelTopMargin() + super.padbottom + super.iyPadTop + super.iyPadBottom + 1;
      return var1;
   }

   public synchronized Dimension minimumSize() {
      return this.preferredSize();
   }
}
