package symantec.itools.awt;

class CompareCells implements CompareFunc {
   public boolean lessThan(Object var1, Object var2) {
      if (var1 instanceof Cell && var2 instanceof Cell) {
         Cell var3 = (Cell)var1;
         Cell var4 = (Cell)var2;
         return var3.text.compareTo(var4.text) < 0;
      } else {
         throw new IllegalArgumentException("Objects to compare must be Cell instances");
      }
   }
}
