package symantec.itools.awt;

import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.ImageObserver;

class Cell implements ImageObserver {
   // $FF: renamed from: im java.awt.Image
   Image field_0;
   MultiList list;
   static String empty = "";
   String text;

   public Cell(MultiList var1, String var2) {
      this.text = empty;
      this.list = var1;
      this.text = var2;
   }

   public Cell(MultiList var1, String var2, Image var3) {
      this.text = empty;
      this.list = var1;
      this.text = var2;
      this.field_0 = var3;
   }

   public Cell(MultiList var1, Image var2) {
      this.text = empty;
      this.list = var1;
      this.field_0 = var2;
   }

   public void drawCell(Graphics var1, int var2, int var3, int var4, int var5, int var6, int var7) {
      FontMetrics var8 = var1.getFontMetrics();
      int var9 = var8.stringWidth(this.text);
      int var10 = 0;
      switch (var2) {
         case 0:
            if (this.field_0 != null) {
               var1.drawImage(this.field_0, var3, var4, this);
               var10 = this.field_0.getWidth(this) + 2;
            }

            var1.drawString(this.text, var3 + var10, var4 + var7);
            return;
         case 1:
            if (var9 > var5) {
               var1.drawString(this.text, var3, var4 + var7);
               return;
            }

            var1.drawString(this.text, var3 + (var5 - var9) / 2, var4 + var7);
            return;
         case 2:
            if (var9 > var5) {
               var1.drawString(this.text, var3, var4 + var7);
               return;
            }

            var1.drawString(this.text, var3 + var5 - var9 - 6, var4 + var7);
            return;
         default:
      }
   }

   public boolean imageUpdate(Image var1, int var2, int var3, int var4, int var5, int var6) {
      if ((var2 & 160) != 0) {
         this.list.redraw();
         this.list.repaint();
         return false;
      } else {
         return true;
      }
   }

   public String toString() {
      return this.text;
   }
}
