package symantec.itools.awt;

import java.awt.Canvas;
import java.awt.Component;
import java.awt.Event;
import java.awt.Graphics;

public class InvisibleButton extends Canvas implements TransparencyTrick {
   protected boolean pressed = false;

   public void update(Graphics var1) {
      this.paint(var1);
   }

   public void paint(Graphics var1) {
      TransparencyTrickUtils.paintComponentsBehind(this, var1);
   }

   public boolean mouseDown(Event var1, int var2, int var3) {
      this.pressed = true;
      return true;
   }

   public boolean mouseUp(Event var1, int var2, int var3) {
      if (this.pressed) {
         this.pressed = false;
         ((Component)this).postEvent(new Event(this, 1001, (Object)null));
      }

      return true;
   }
}
