package symantec.itools.awt;

import java.awt.Checkbox;
import java.awt.CheckboxGroup;
import java.awt.Component;
import java.awt.Panel;

public class RadioButtonGroupPanel extends Panel {
   private CheckboxGroup group = new CheckboxGroup();

   private void moveIntoGroup(Component var1) {
      if (var1 instanceof Checkbox) {
         Checkbox var2 = (Checkbox)var1;
         boolean var3 = var2.getState();
         var2.setCheckboxGroup(this.group);
         if (var3) {
            var2.setState(var3);
         }
      }

   }

   public Component add(Component var1) {
      this.moveIntoGroup(var1);
      return super.add(var1);
   }

   public Component add(Component var1, int var2) {
      this.moveIntoGroup(var1);
      return super.add(var1, var2);
   }

   public Component add(String var1, Component var2) {
      this.moveIntoGroup(var2);
      return super.add(var1, var2);
   }
}
