package symantec.itools.awt.util;

import java.awt.Canvas;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Graphics;

public class ToolBarSpacer extends Canvas {
   public void paint(Graphics var1) {
      Dimension var2 = ((Component)this).size();
      var1.clipRect(0, 0, var2.width, var2.height);
      var1.setColor(super.getBackground());
      var1.fillRect(0, 0, var2.width, var2.height);
   }

   public synchronized Dimension preferredSize() {
      Dimension var1 = ((Component)this).size();
      var1.height = 10;
      Component[] var2 = ((Component)this).getParent().getComponents();

      for(int var3 = 0; var3 < var2.length; ++var3) {
         Component var4 = var2[var3];
         if (!(var4 instanceof ToolBarSpacer)) {
            var1.height = Math.max(var1.height, var4.size().height);
         }
      }

      return var1;
   }

   public synchronized Dimension minimumSize() {
      return this.preferredSize();
   }
}
